EMF::EMREOF(3)

NAME
EMF::EMREOF - EMF End of File Record.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMREOF.

  Public Member Functions

EMREOF (void)
EMREOF (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF End of File Record.

Every metafile must have an End of File record. A palette may also be recorded in the EOF record, but it is currently unused by this library (all colors are specified in full RGB coordinates).

Constructor & Destructor Documentation

  EMF::EMREOF::EMREOF (void) [inline]
Constructor contains no user serviceable parts.

  EMF::EMREOF::EMREOF (DATASTREAM & ds) [inline]
Construct an EOF record from the input stream

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMREOF::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMREOF::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMREOF::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.